[134621] users/devans/GNOME-3/stable/dports/gnome/goffice
devans at macports.org
devans at macports.org
Tue Mar 31 23:02:23 PDT 2015
Revision: 134621
https://trac.macports.org/changeset/134621
Author: devans at macports.org
Date: 2015-03-31 23:02:23 -0700 (Tue, 31 Mar 2015)
Log Message:
-----------
GNOME-3/stable: goffice, goffice08, reconfigure using autogen.sh for intltool 0.51 compatibility, minimize compiler warnings to avoid breaking build.
Modified Paths:
--------------
users/devans/GNOME-3/stable/dports/gnome/goffice/Portfile
Added Paths:
-----------
users/devans/GNOME-3/stable/dports/gnome/goffice/files/autogen.sh
users/devans/GNOME-3/stable/dports/gnome/goffice/files/autogen08.sh
Property Changed:
----------------
users/devans/GNOME-3/stable/dports/gnome/goffice/
Property changes on: users/devans/GNOME-3/stable/dports/gnome/goffice
___________________________________________________________________
Modified: svn:mergeinfo
- /branches/mld-qt-481/dports/gnome/goffice:92720,92813,92891,92963,93522,93556,93699,93743,93771-93773,93806,93817-93818,93856
/trunk/dports/gnome/goffice:125979-132135
/users/rmstonecipher/gnome/goffice:102363-103172
+ /branches/mld-qt-481/dports/gnome/goffice:92720,92813,92891,92963,93522,93556,93699,93743,93771-93773,93806,93817-93818,93856
/trunk/dports/gnome/goffice:125979-134620
/users/rmstonecipher/gnome/goffice:102363-103172
Modified: users/devans/GNOME-3/stable/dports/gnome/goffice/Portfile
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/goffice/Portfile 2015-04-01 05:37:44 UTC (rev 134620)
+++ users/devans/GNOME-3/stable/dports/gnome/goffice/Portfile 2015-04-01 06:02:23 UTC (rev 134621)
@@ -18,8 +18,13 @@
homepage http://www.gnumeric.org/
use_xz yes
-depends_build port:intltool \
- port:pkgconfig
+depends_build port:pkgconfig \
+ port:intltool \
+ port:gnome-common \
+ port:gtk-doc \
+ port:autoconf \
+ port:automake \
+ port:libtool
if {${name} eq ${subport}} {
epoch 1
@@ -40,11 +45,19 @@
gobject_introspection yes
- configure.args-append \
- --enable-compile-warnings=minimum
+# reconfigure using autogen.sh for intltool 0.51 compatibility
+ post-patch {
+ xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+ }
+
+ configure.cmd ./autogen.sh
+
patchfiles-append patch_quartz-goffice-goffice.c.diff \
patch-goffice-math-go-quad.diff
+
+ configure.args-append \
+ --enable-compile-warnings=minimum
livecheck.type gnome
} else {
@@ -72,6 +85,17 @@
patchfiles-append patch-goffice-utils-regutf8.c.diff
+# reconfigure using autogen.sh for intltool 0.51 compatibility
+
+ post-patch {
+ xinstall -m 755 ${filespath}/autogen08.sh ${worksrcpath}/autogen.sh
+ }
+
+ configure.cmd ./autogen.sh
+
+ configure.args-append \
+ --enable-compile-warnings=minimum
+
pre-activate {
if {![catch {set installed [lindex [registry_active goffice] 0]}]} {
set _version [lindex $installed 1]
Copied: users/devans/GNOME-3/stable/dports/gnome/goffice/files/autogen.sh (from rev 134620, trunk/dports/gnome/goffice/files/autogen.sh)
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/goffice/files/autogen.sh (rev 0)
+++ users/devans/GNOME-3/stable/dports/gnome/goffice/files/autogen.sh 2015-04-01 06:02:23 UTC (rev 134621)
@@ -0,0 +1,72 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+PKG_NAME="goffice"
+
+REQUIRED_AUTOMAKE_VERSION=1.9.0
+REQUIRED_LIBTOOL_VERSION=1.4.3
+
+# We need intltool >= 0.27.2 to extract the UTF-8 chars from source code:
+REQUIRED_INTLTOOL_VERSION=0.27.2
+
+# We require Automake 1.7.2, which requires Autoconf 2.54.
+# (It needs _AC_AM_CONFIG_HEADER_HOOK, for example.)
+REQUIRED_AUTOCONF_VERSION=2.54
+
+# This enforces the version for the machine where the tarball is built
+# from CVS. This requirement might be stronger than the one in configure.in.
+#
+# An example: we might require pkg-config binary >= 0.18, because it
+# implements Libs.private. But we might require macro PKG_PROG_PKG_CONFIG
+# from pkg-config >= 0.29 because this macro is able to detect old versions
+# of pkg-config conrrectly and reports a sane error message.
+#
+# In other words, the distribution tarball can be created only with 0.29 or
+# later, but it can be then compiled on any host with pkg-config >= 0.18.
+#
+# We would then use REQUIRED_PKG_CONFIG_VERSION=0.29 here and
+# PKG_PROG_PKG_CONFIG([0.18]) in configure.in.
+
+USE_GNOME2_MACROS=1
+USE_COMMON_DOC_BUILD=yes
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+(test -f $srcdir/configure.ac \
+ && test -d $srcdir/goffice \
+ && test -f $srcdir/goffice/goffice.h) || {
+ echo -n "**Error**: Directory "\'$srcdir\'" does not look like the" 1>&2
+ echo " top-level goffice directory" 1>&2
+ exit 1
+}
+
+ifs_save="$IFS"; IFS=":"
+for dir in $PATH ; do
+ IFS="$ifs_save"
+ test -z "$dir" && dir=.
+ if test -f "$dir/gnome-autogen.sh" ; then
+ gnome_autogen="$dir/gnome-autogen.sh"
+ gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
+ break
+ fi
+done
+
+if test -z "$gnome_autogen" ; then
+ echo "You need to install the gnome-common module and make" 1>&2
+ echo "sure the gnome-autogen.sh script is in your \$PATH." 1>&2
+ exit 1
+fi
+
+GNOME_DATADIR="$gnome_datadir"
+
+. $gnome_autogen
+
+if grep 'which gtkdoc-rebase >/dev/null &&' $srcdir/gtk-doc.make >/dev/null 2>&1 && \
+ grep '[^-]installfiles=`echo $(srcdir)/html/*`;' $srcdir/gtk-doc.make >/dev/null 2>&1; then
+ echo '----------------------------------------------------' 1>&2
+ echo "Your gtk-doc has a dependency problem. Upgrade." 1>&2
+ echo "See http://bugzilla.gnome.org/show_bug.cgi?id=506506" 1>&2
+ echo '----------------------------------------------------' 1>&2
+ exit 1
+fi
Copied: users/devans/GNOME-3/stable/dports/gnome/goffice/files/autogen08.sh (from rev 134620, trunk/dports/gnome/goffice/files/autogen08.sh)
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/goffice/files/autogen08.sh (rev 0)
+++ users/devans/GNOME-3/stable/dports/gnome/goffice/files/autogen08.sh 2015-04-01 06:02:23 UTC (rev 134621)
@@ -0,0 +1,72 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+PKG_NAME="goffice"
+
+REQUIRED_AUTOMAKE_VERSION=1.9.0
+REQUIRED_LIBTOOL_VERSION=1.4.3
+
+# We need intltool >= 0.27.2 to extract the UTF-8 chars from source code:
+REQUIRED_INTLTOOL_VERSION=0.27.2
+
+# We require Automake 1.7.2, which requires Autoconf 2.54.
+# (It needs _AC_AM_CONFIG_HEADER_HOOK, for example.)
+REQUIRED_AUTOCONF_VERSION=2.54
+
+# This enforces the version for the machine where the tarball is built
+# from CVS. This requirement might be stronger than the one in configure.in.
+#
+# An example: we might require pkg-config binary >= 0.18, because it
+# implements Libs.private. But we might require macro PKG_PROG_PKG_CONFIG
+# from pkg-config >= 0.29 because this macro is able to detect old versions
+# of pkg-config conrrectly and reports a sane error message.
+#
+# In other words, the distribution tarball can be created only with 0.29 or
+# later, but it can be then compiled on any host with pkg-config >= 0.18.
+#
+# We would then use REQUIRED_PKG_CONFIG_VERSION=0.29 here and
+# PKG_PROG_PKG_CONFIG([0.18]) in configure.in.
+
+USE_GNOME2_MACROS=1
+USE_COMMON_DOC_BUILD=yes
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+(test -f $srcdir/configure.in \
+ && test -d $srcdir/goffice \
+ && test -f $srcdir/goffice/goffice.h) || {
+ echo -n "**Error**: Directory "\'$srcdir\'" does not look like the" 1>&2
+ echo " top-level goffice directory" 1>&2
+ exit 1
+}
+
+ifs_save="$IFS"; IFS=":"
+for dir in $PATH ; do
+ IFS="$ifs_save"
+ test -z "$dir" && dir=.
+ if test -f "$dir/gnome-autogen.sh" ; then
+ gnome_autogen="$dir/gnome-autogen.sh"
+ gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
+ break
+ fi
+done
+
+if test -z "$gnome_autogen" ; then
+ echo "You need to install the gnome-common module and make" 1>&2
+ echo "sure the gnome-autogen.sh script is in your \$PATH." 1>&2
+ exit 1
+fi
+
+GNOME_DATADIR="$gnome_datadir"
+
+. $gnome_autogen
+
+if grep 'which gtkdoc-rebase >/dev/null &&' $srcdir/gtk-doc.make >/dev/null 2>&1 && \
+ grep '[^-]installfiles=`echo $(srcdir)/html/*`;' $srcdir/gtk-doc.make >/dev/null 2>&1; then
+ echo '----------------------------------------------------' 1>&2
+ echo "Your gtk-doc has a dependency problem. Upgrade." 1>&2
+ echo "See http://bugzilla.gnome.org/show_bug.cgi?id=506506" 1>&2
+ echo '----------------------------------------------------' 1>&2
+ exit 1
+fi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20150331/46a1472e/attachment-0001.html>
More information about the macports-changes
mailing list